com.sun.jna.platform.win32

## Class WinUser.WINDOWINFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinUser.WINDOWINFO

- Enclosing interface:
    WinUser

      public static class WinUser.WINDOWINFO
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `atomWindowType`
    `int` | `cbSize`
    `int` | `cxWindowBorders`
    `int` | `cyWindowBorders`
    `int` | `dwExStyle`
    `int` | `dwStyle`
    `int` | `dwWindowStatus`
    `WinDef.RECT` | `rcClient`
    `WinDef.RECT` | `rcWindow`
    `short` | `wCreatorVersion`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinUser.WINDOWINFO()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cbSize

          public int cbSize

    - #### rcWindow

          public WinDef.RECT rcWindow

    - #### rcClient

          public WinDef.RECT rcClient

    - #### dwStyle

          public int dwStyle

    - #### dwExStyle

          public int dwExStyle

    - #### dwWindowStatus

          public int dwWindowStatus

    - #### cxWindowBorders

          public int cxWindowBorders

    - #### cyWindowBorders

          public int cyWindowBorders

    - #### atomWindowType

          public short atomWindowType

    - #### wCreatorVersion

          public short wCreatorVersion

  - ### Constructor Detail

    - #### WinUser.WINDOWINFO

          public WinUser.WINDOWINFO()

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.